#! /usr/bin/python3
#
# Simple TCP/IP Server
# 

import socket

###########################
# Configurable Parameters #
###########################

SERVER_ADDRESS = '192.168.0.64'
SERVER_PORT = 5150

def listen():
    connection = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    connection.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
    connection.bind((SERVER_ADDRESS, SERVER_PORT))
    connection.listen(10)
    while True:
        current_connection, address = connection.accept()
        print("Incoming from {}".format(address))
        while True:
            data = current_connection.recv(2048)
            if (len(data) > 0 ):
               dd = data.decode("utf-8", "ignore")
            else:
               break

            if dd == 'quit\r\n':
                print("quit detect")
                current_connection.shutdown(1)
                current_connection.close()
                break

            elif dd == 'stop\r\n':
                current_connection.shutdown(1)
                current_connection.close()
                exit()

            elif data:
                # current_connection.send(data)
                print (data)


if __name__ == "__main__":

    print ("Simple TCP/IP Server")
    try:
        listen()
    except KeyboardInterrupt:
        pass


